org.apache.cassandra.db

## Class SnapshotDetailsTabularData

- java.lang.Object
- - org.apache.cassandra.db.SnapshotDetailsTabularData

-     public class SnapshotDetailsTabularData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.management.openmbean.TabularType` | `TABULAR_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnapshotDetailsTabularData()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `from(java.lang.String snapshot, java.lang.String ks, java.lang.String cf, java.util.Map.Entry<java.lang.String,Pair<java.lang.Long,java.lang.Long>> snapshotDetail, javax.management.openmbean.TabularDataSupport result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABULAR_TYPE

          public static final javax.management.openmbean.TabularType TABULAR_TYPE

  - ### Constructor Detail

    - #### SnapshotDetailsTabularData

          public SnapshotDetailsTabularData()

  - ### Method Detail

    - #### from

          public static void from(java.lang.String snapshot,
                                  java.lang.String ks,
                                  java.lang.String cf,
                                  java.util.Map.Entry<java.lang.String,Pair<java.lang.Long,java.lang.Long>> snapshotDetail,
                                  javax.management.openmbean.TabularDataSupport result)

Copyright © 2018 The Apache Software Foundation